Subject: ISSUE: consistency of Injection-Info

From: "Charles Lindsey" <[email-masked]>
Date: Wed, 14 Feb 2007 15:37:52 GMT

Issue # requested

Injecting agents have considerable freedom in choosing which of the
available Injection-Info parameters to use. However, if they select at
random from the available possibilities, or in the values they insert in
the chosen parameter (and especially in 'posting-account', it is going to
make life difficult for the rest of the net, particularly for those
wishing to use Injection-Info in killfiles in order to catch people who
keep morphing their From headers. So they should choose a consistent
format, and stick to it.

Usepro-06 had the following wording in the Duties of an injecting agent:

   Each injecting agent SHOULD use a consistent form of the Injection-Info
   header field for all articles originating from the same or similar
   origins.

That, or something similar, needs to go after Step 11 of section 3.4

-- 
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133   Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked]      Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9      Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5